# This playbook runs roles which are needed for the bringup of the PC

---
- name: Configuration common to all testers
  hosts: "{{ variable_host | default('testers') }}"
  vars_prompt:
    - name: run_grub
      prompt: "Run Grub role? PC will reboot (y/n)"
      default: "n"

    - name: run_users
      prompt: "Add users to SUDOERs list ?(y/n)"
      default: "n"

  roles:
    - { role: bamboo }
    - { role: eth-fix}
    - { role: git }
    - { role: pcan }
    - { role: grub, when: run_grub == "y" }
    - { role: psu-bk }
    - { role: psu-rigol }
    - { role: ssh-key }
    - { role: users, when: run_users == "y" }
    - { role: user-ssh-key }

